PIXCLUMP
1
BRL-CAD
BRL-CAD

# pixclump

quantize the colors in a pix(5) stream

      pixclump
        -c R/G/B
        -f color_file
        -x debug_flags
        infile.pixoutfile.pix

## DESCRIPTION

Pixclump reads an input stream of pix data, converts each pixel to one of a set of specified colors, and writes out these quantized pixels.

The colors may be specified either on the command line, with one `-c` option per color, or in a file specified with the `-f` option.

Each pixel in the input stream is compared to all of the specified colors and replaced on the output by the specified color most resembling it. Pixclump computes the difference between an input pixel and a specified color as the sum of the squares of the differences in their respective red, green, and blue channels.

The `-x` option may be used to selectively enable various diagnostic print statements.

## HINT

A typical use for `pixclump` is in renormalizing an image. For example, if a tool such as pixscale has been used to transform an image containing a relatively small number of colors, `pixclump` will change pixels whose colors have been interpolated back to one of the original colors.

## AUTHOR

Paul Tanenbaum

## COPYRIGHT

This software is Copyright (c) 1997-2013 by the United States Government as represented by U.S. Army Research Laboratory.

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.